安装scrapy库时遇到 Running setup.py install for Twisted ... error解决方案

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/qq_32145097/article/details/90241733

安装scrapy时,出现如下问题:
图1
在这里插入图片描述
出现这种问题的原因是缺少Twisted文件,从官网下载一个该文件的版本(Twisted-xxx-win_amd64.whl)并将其放到自己电脑python安装目录的script下即可。官网:https://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted,然后command界面下,python的Script目录下,用pip命令安装按Twisted文件,记住是完整的名字而且需要带后缀,以Twisted-19.2.0-cp37-cp37m-win_amd64.whl为例,pip install Twisted-19.2.0-cp37-cp37m-win_amd64.whl,然后在pip install scrapy 即可。
在这里插入图片描述
在这里插入图片描述
完美解决。

展开阅读全文

没有更多推荐了,返回首页